import { ChainData, Token } from "@0xsquid/squid-types";
interface Params {
    address: string | undefined;
    token: Token | undefined;
    chain: ChainData | undefined;
}
export declare function useHederaTokenAssociations({ address, chain, token }: Params): {
    isTokenAssociated: import("@tanstack/react-query").UseQueryResult<boolean, unknown>;
    associateToken: import("@tanstack/react-query").UseMutationResult<boolean, unknown, void, unknown>;
};
export {};
